<?php
// main_directory/component/current_time.php

function getCurrentTime() {
    $url = 'https://timeapi.io/api/time/current/zone?timeZone=Asia%2FDhaka'; // API URL for Bangladesh time
    $response = file_get_contents($url);
    
    if ($response === FALSE) {
        die('Error occurred while fetching the time.');
    }
    
    $data = json_decode($response, true); // Decode the JSON response
    return $data['dateTime']; // Return the date and time
}
?>
